
Redmine - Defect #6338

Gantt Zoom In/Out has incorrect url

2010-09-09 11:49 - Jeremiah Dangler

Status: Closed Start date: 2010-09-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Added by Jeremiah Dangler about 14 hours ago

The url's generated for the zoom in/out are not including the project info.

This is what i get.

http:/xxxxxxx.com/issues/gantt?month=9&months=4&year=2010&zoom=4

This is what i should get

http://xxxxxxxx.com/projects/main/issues/gantt?month=9&months=4&year=2010&zoom=4

This is the error i get my log file.

Processing IssuesController#gantt (for xxx.xxx.xxx.xxx at 2010-09-08 13:05:37) [POST]

Parameters: {"month"=>"9", "action"=>"gantt", "authenticity_token"=>"7TYLxAdHQbpqY3E2ZQ7NOy+vYIVItkyYgOSvsAEFo9U=",

"year"=>"2010", "controller"=>"issues", "months"=>"4", "_"=>"", "zoom"=>"2"}

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 4ms (View: 0, DB: 0) | 403 Forbidden [http://xxxxxxxxx.com/issues/gantt?month=9&months=4&year=2010&zoom=2]

History

#1 - 2010-09-16 02:37 - Mischa The Evil

- Status changed from New to Closed

- Affected version (unused) set to devel

- Resolution set to Fixed

This is fixed in r4074. It affected Redmine trunk (devel) from r4041 to r4073.
